Bug 998947 - firewire_ohci 0000:37:09.0: failed to read phy reg 4
firewire_ohci 0000:37:09.0: failed to read phy reg 4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 1033474 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 08:06 EDT by Yann Droneaud
Modified: 2016-02-22 08:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:42:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yann Droneaud 2013-08-20 08:06:29 EDT
With newer kernel, Firewire failed to initialize controller.

PCI device:
-----------

37:09.0 FireWire (IEEE 1394): LSI Corporation FW322/323 [TrueFire] 1394a Controller (rev 70)
37:09.0 0c00: 11c1:5811 (rev 70)


On kernel 3.9.9-302.fc19.x86_64:
--------------------------------

firewire_ohci 0000:37:09.0: added OHCI v1.0 device as card 0, 8 IR + 8 IT contexts, quirks 0x0
firewire_core 0000:37:09.0: created device fw0: GUID 0060b0000089cb8a, S400

On kernel 3.10.7-200.fc19.x86_64:
---------------------------------

firewire_ohci 0000:37:09.0: failed to read phy reg 4
CPU: 4 PID: 218 Comm: systemd-udevd Tainted: G          I  3.10.7-200.fc19.x86_64 #1
Hardware name: Hewlett-Packard HP Z800 Workstation/0AECh, BIOS 786G5 v03.54 11/02/2011
 ffff88010eca2000 ffff88010eb71a98 ffffffff816390fb ffff88010eb71ac0
 ffffffffa00c821b 0000000000000004 ffff88010eca2000 0000000000000000
 ffff88010eb71af0 ffffffffa00c8250 ffff88010eca2628 ffff88010eca2000
Call Trace:
 [<ffffffff816390fb>] dump_stack+0x19/0x1b
 [<ffffffffa00c821b>] read_phy_reg+0x9b/0xb0 [firewire_ohci]
 [<ffffffffa00c8250>] update_phy_reg+0x20/0x50 [firewire_ohci]
 [<ffffffffa00c82be>] ohci_update_phy_reg+0x3e/0x60 [firewire_ohci]
 [<ffffffffa00cb85f>] ohci_enable+0x1cf/0x5b0 [firewire_ohci]
 [<ffffffffa00b6929>] fw_card_add+0x49/0x80 [firewire_core]
 [<ffffffffa00ccd09>] pci_probe+0x649/0x75c [firewire_ohci]
 [<ffffffff8131436e>] local_pci_probe+0x3e/0x70
 [<ffffffff81315651>] pci_device_probe+0x121/0x130
 [<ffffffff813dbb67>] driver_probe_device+0x87/0x390
 [<ffffffff813dbf43>] __driver_attach+0x93/0xa0
 [<ffffffff813dbeb0>] ? __device_attach+0x40/0x40
 [<ffffffff813d9b53>] bus_for_each_dev+0x63/0xa0
 [<ffffffff813db5de>] driver_attach+0x1e/0x20
 [<ffffffff813db178>] bus_add_driver+0x1e8/0x2a0
 [<ffffffffa0011000>] ? 0xffffffffa0010fff
 [<ffffffff813dc581>] driver_register+0x71/0x150
 [<ffffffffa0011000>] ? 0xffffffffa0010fff
 [<ffffffff813141fb>] __pci_register_driver+0x4b/0x50
 [<ffffffffa001101e>] fw_ohci_pci_driver_init+0x1e/0x1000 [firewire_ohci]
 [<ffffffff810020e2>] do_one_initcall+0xe2/0x190
 [<ffffffff810bf865>] load_module+0x1bb5/0x2650
 [<ffffffff813058f0>] ? ddebug_proc_write+0xf0/0xf0
 [<ffffffff810c0496>] SyS_finit_module+0x86/0xb0
 [<ffffffff81647719>] system_call_fastpath+0x16/0x1b
firewire_ohci: probe of 0000:37:09.0 failed with error -16

It's look like a regression
Comment 1 Yann Droneaud 2013-08-20 08:14:16 EDT
Removing firewire-ohci module and loading it again succeed:

firewire_ohci 0000:37:09.0: added OHCI v1.0 device as card 1, 8 IR + 8 IT contexts, quirks 0x80
net firewire0: IP over IEEE 1394 on card 0000:37:09.0
firewire_core 0000:37:09.0: created device fw0: GUID 0060b0000089cb8a, S400

quirks are set to 0x80, while set to 0x0 on kernel 3.9.9.
Comment 2 Josh Boyer 2013-09-18 16:53:53 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Gary Buhrmaster 2013-09-20 13:46:23 EDT
Still seen with 3.11.1-200.fc19 (although slightly different details, probably due to different hardware).

[    5.621728] firewire_ohci 0000:04:03.0: failed to read phy reg 2
[    5.621730] CPU: 3 PID: 175 Comm: systemd-udevd Not tainted 3.11.1-200.fc19.x86_64 #1
[    5.621730] Hardware name:                  /DQ67SW, BIOS SWQ6710H.86A.0066.2012.1105.1504 11/05/2012
[    5.621733]  ffff880425278000 ffff880425653ab8 ffffffff816476af 0000000000000067
[    5.621734]  ffff880425653ae0 ffffffffa009621b ffff880425278000 0000000000000000
[    5.621735]  ffffffffa0088880 ffff880425653b18 ffffffffa009994d ffff880425278000
[    5.621735] Call Trace:
[    5.621740]  [<ffffffff816476af>] dump_stack+0x45/0x56
[    5.621743]  [<ffffffffa009621b>] read_phy_reg+0x9b/0xb0 [firewire_ohci]
[    5.621745]  [<ffffffffa009994d>] ohci_enable+0x2bd/0x5b0 [firewire_ohci]
[    5.621748]  [<ffffffffa007d929>] fw_card_add+0x49/0x80 [firewire_core]
[    5.621749]  [<ffffffffa009ad09>] pci_probe+0x649/0x75c [firewire_ohci]
[    5.621752]  [<ffffffff81329ade>] local_pci_probe+0x3e/0x70
[    5.621754]  [<ffffffff8132adc1>] pci_device_probe+0x121/0x130
[    5.621756]  [<ffffffff813f1f47>] driver_probe_device+0x87/0x390
[    5.621757]  [<ffffffff813f2323>] __driver_attach+0x93/0xa0
[    5.621758]  [<ffffffff813f2290>] ? __device_attach+0x40/0x40
[    5.621759]  [<ffffffff813efe83>] bus_for_each_dev+0x63/0xa0
[    5.621761]  [<ffffffff813f199e>] driver_attach+0x1e/0x20
[    5.621761]  [<ffffffff813f1538>] bus_add_driver+0x1e8/0x2a0
[    5.621763]  [<ffffffffa00a0000>] ? 0xffffffffa009ffff
[    5.621765]  [<ffffffff813f2964>] driver_register+0x74/0x150
[    5.621765]  [<ffffffffa00a0000>] ? 0xffffffffa009ffff
[    5.621767]  [<ffffffff8132996b>] __pci_register_driver+0x4b/0x50
[    5.621768]  [<ffffffffa00a001e>] fw_ohci_pci_driver_init+0x1e/0x1000 [firewire_ohci]
[    5.621770]  [<ffffffff810020fa>] do_one_initcall+0xfa/0x1b0
[    5.621772]  [<ffffffff81052483>] ? set_memory_nx+0x43/0x50
[    5.621775]  [<ffffffff810cc56d>] load_module+0x1bbd/0x2660
[    5.621776]  [<ffffffff810c8880>] ? store_uevent+0x40/0x40
[    5.621778]  [<ffffffff810cd186>] SyS_finit_module+0x86/0xb0
[    5.621781]  [<ffffffff81656859>] system_call_fastpath+0x16/0x1b
[    5.621845] firewire_ohci: probe of 0000:04:03.0 failed with error -16



lspci -vv output:

04:03.0 FireWire (IEEE 1394): LSI Corporation FW322/323 [TrueFire] 1394a Controller (rev 70) (prog-if 10 [OHCI])
	Subsystem: Intel Corporation Device 2008
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fe400000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Comment 4 Michele Baldessari 2013-11-23 15:25:51 EST
If you load the module with quirks set to 0, does it work?
Comment 5 Michele Baldessari 2013-11-24 07:04:37 EST
*** Bug 1033474 has been marked as a duplicate of this bug. ***
Comment 6 Michele Baldessari 2013-12-25 13:54:40 EST
Gary, Yann

if you boot with firewire_ohci.quirks=0x0 does the problem still persist?

Thanks,
Michele
Comment 7 Justin M. Forbes 2014-03-10 10:42:11 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.